from zope.testing import doctest
from zope.testing import renormalizing
import unittest
import zc.buildout
import zc.buildout.testing
import zc.buildout.tests
import re

def setUp(test):
  zc.buildout.testing.buildoutSetUp(test)
  zc.buildout.testing.install_develop('zc.recipe.egg', test)
  zc.buildout.testing.install_develop('erp5.recipe.mysqlserver', test)

def test_suite():
  suite = unittest.TestSuite((
      doctest.DocFileSuite(
      'doctest.txt',
      setUp=setUp,
      tearDown=zc.buildout.testing.buildoutTearDown,
      checker=renormalizing.RENormalizing([
                        (re.compile('--prefix=\S+sample-buildout'),
                         '--prefix=/sample_buildout'),
                        (re.compile('\s/\S+sample-buildout'),
                         ' /sample_buildout'),
                        zc.buildout.testing.normalize_path,
                        ]),
    )))
  return suite

if __name__ == '__main__':
  unittest.main(defaultTest='test_suite')
